// cppget.cpp : Sample program that gets a message from a queue
//

#include <imqi.hpp>
#include <stdio.h>


int main(int argc, char* argv[])
{
	ImqQueueManager	myQMgr;
	ImqQueue		myQ;
	ImqMessage		myMessage;

	if (argc < 3)
	{
		printf("Usage: cppget QName QMgrName\n");
		return(1);
	}
	myQMgr.setName(argv[2]);
	myQ.setName(argv[1]);
	myQ.setConnectionReference(myQMgr);
	myQ.get(myMessage);
	if (myQ.reasonCode() == 0)
	{
		ImqString	myString;
		myMessage.readItem(myString);
		printf("<%s>\n", (char *)myString);
	}
	else
	{
		printf("Failed to get message: %d\n", myQ.reasonCode());
	}
	return(0);
}
